Browse Source

docs: add readthedocs configuration file
workaround for mkdocs incompatibility with python 3.7
https://github.com/rtfd/readthedocs.org/issues/5250

nodiscc 2 months ago
parent
commit
6e76474c4d
1 changed files with 15 additions and 0 deletions
  1. 15 0
      .readthedocs.yml

+ 15 - 0
.readthedocs.yml

@@ -0,0 +1,15 @@
+# .readthedocs.yml
+# Read the Docs configuration file
+# See https://docs.readthedocs.io/en/stable/config-file/v2.html for details
+
+# Required
+version: 2
+
+# Build documentation with MkDocs
+mkdocs:
+  configuration: mkdocs.yml
+
+# Optionally set the version of Python and requirements required to build your docs
+# https://github.com/rtfd/readthedocs.org/issues/5250
+python:
+  version: 3.5